//+------------------------------------------------------------------+
//|                                                  MA_MOMENTUM.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+

#property  indicator_separate_window
#property  indicator_buffers 1
#property  indicator_color1  Red
 


extern int MA_PERIOD=13;
extern int MOMENTUM_PERIOD=21;


double     MOMENTUM_Buffer[];
double     MA_Buffer[25000];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

  
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,MOMENTUM_Buffer);
   SetIndexDrawBegin(0,MOMENTUM_PERIOD+MA_PERIOD);
   IndicatorDigits(Digits+1);
   IndicatorShortName("MA_MOMENTUM("+MA_PERIOD+","+MOMENTUM_PERIOD+")");
   SetIndexLabel(0,"MA_MOMENTUM");
   SetLevelValue(1,100);

   return(0);
  }

int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();

   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

    for( int i=limit; i>=0; i--)
      MA_Buffer[i]=iMA(NULL,0,MA_PERIOD,0,MODE_EMA,PRICE_CLOSE,i);
      
  
      for( i=limit; i>=0; i--)
      MOMENTUM_Buffer[i]=((MA_Buffer[i]+0.000000001)/(MA_Buffer[i+MOMENTUM_PERIOD]+0.000000001))*100;
     
   return(0);
  }
//+------------------------------------------------------------------+